### Property

# Gio TlsConnection:advertised-protocols

since: 2.60

#### Declaration

    property advertised-protocols: string[] [ read, write ]

#### Description [src]

The list of application-layer protocols that the connection advertises that it is willing to speak. See g_tls_connection_set_advertised_protocols().

Type:An array of `char*`

Available since: 2.60

Setter method | `g_tls_connection_set_advertised_protocols()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no